Bug 89134 - UI: black background on Options - Language Settings - Writing Aids
Summary: UI: black background on Options - Language Settings - Writing Aids
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
: 89689 (view as bug list)
Depends on:
Blocks:
 
Reported: 2015-02-05 10:19 UTC by Marina Latini (SUSE)
Modified: 2015-12-15 11:03 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
black background on Linux (108.24 KB, image/png)
2015-02-05 10:19 UTC, Marina Latini (SUSE)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marina Latini (SUSE) 2015-02-05 10:19:59 UTC
Created attachment 113141 [details]
black background on Linux

1) Open Tools - Options - Language Settings - Writing Aids

The "Options" section has a black background.

Verified on: 
* Version: 4.5.0.0.alpha0+
* Build ID: 1845b6af3991ca5521eef48aafe1d0489e2ff8f6
* TinderBox: Win-x86@42, Branch:master, Time: 2015-02-02_09:30:48
* Locale: it_IT
* OS: Win 7 Home Premium SP1 x86

* Version: 4.5.0.0.alpha0+
* Build ID: 52d1de87e9a77fc7929309b0365bd786406ce022
* TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-02-04_01:50:43
* Locale: it_IT
* OS: Ubuntu 14.04.1 LTS x86_64
Comment 1 V Stuart Foote 2015-02-05 13:10:49 UTC
On Windows 7 sp1, 64-bit en-US

OK through builds
Version: 4.5.0.0.alpha0+
Build ID: 802b80fcd378d5788adff1c7c98af526651a30c2
TinderBox: Win-x86@39, Branch:master, Time: 2015-01-25_10:20:28
Locale: en_US


goes bad by...
Version: 4.5.0.0.alpha0+
Build ID: 4b9a9ce8a0e5e0716dad9a9ec87d16237e534dc2
TinderBox: Win-x86@39, Branch:master, Time: 2015-01-31_09:49:44
Locale: en_US
Comment 2 Michael Weghorn 2015-02-06 23:45:18 UTC
bibisect result:

b9a37b27f39d979a2eb4187c59bdb88f603dc271 is the first bad commit
commit b9a37b27f39d979a2eb4187c59bdb88f603dc271
Author: Miklos Vajna <vmiklos@collabora.co.uk>
Date:   Mon Jan 26 05:50:33 2015 +0100

    2015-01-26: source-hash-784d069cc1d9f1d6e6a4e543a278376ab483d1eb


$ git bisect log
# bad: [ad5ed3c0a2b049c70515c303e8150f5a75dd818f] 2015-02-06: source-hash-004304eb2fd1703d22dec0abf0170bb2ce493d0c
# good: [e4b0a61cedc6ac0e65a4a110fd83edd8295f4856] 2014-11-20: source-hash-d273a60bfdbf9bb7623bed38667ec0647753157c
git bisect start 'master' 'oldest'
# good: [09b2fa5b1f166e0d6f077325f2ea5fec8c061b47] 2014-12-29: source-hash-4c9cf98819037fdb70cbe68f678f6498d5646736
git bisect good 09b2fa5b1f166e0d6f077325f2ea5fec8c061b47
# good: [b4a23d280f65e8d30d2734c76fb61112cc4e8ef8] 2015-01-17: source-hash-5c99a17037b807f7728ed8c677559c3032b9500c
git bisect good b4a23d280f65e8d30d2734c76fb61112cc4e8ef8
# bad: [c92e2abcf8b4300397d72d15216da6b39dee6bc9] 2015-01-27: source-hash-19669b2c2d77ddf5d7a07a655ca21d0557e7d603
git bisect bad c92e2abcf8b4300397d72d15216da6b39dee6bc9
# good: [92825ecb26eeb2deb34d0a13886459e138d2c54b] 2015-01-22: source-hash-9ea6793a5b765aefc1a8e82c06f225305dd9c14f
git bisect good 92825ecb26eeb2deb34d0a13886459e138d2c54b
# good: [47af43b8e620c3d9a08721e9aa72d8e3ec407aec] 2015-01-24: source-hash-e3c0025461bdf55e62a308a76c3aa0a35109f076
git bisect good 47af43b8e620c3d9a08721e9aa72d8e3ec407aec
# bad: [b9a37b27f39d979a2eb4187c59bdb88f603dc271] 2015-01-26: source-hash-784d069cc1d9f1d6e6a4e543a278376ab483d1eb
git bisect bad b9a37b27f39d979a2eb4187c59bdb88f603dc271
# good: [210f278942985a91b44375e36c9ba5fc57fa2950] 2015-01-25: source-hash-c3f96f3b95b99051a1ffa8cfa55a5a39eb0fb3e5
git bisect good 210f278942985a91b44375e36c9ba5fc57fa2950
# first bad commit: [b9a37b27f39d979a2eb4187c59bdb88f603dc271] 2015-01-26: source-hash-784d069cc1d9f1d6e6a4e543a278376ab483d1eb
Comment 3 Matthew Francis 2015-02-22 08:09:42 UTC
This seems to have changed at the below commit

Adding Cc: to palenik.mihaly@gmail.com; Could you possibly take a look at this? Thanks


commit 148e489e33a34c6345326c9beaf248ac91f8cd01
Author: Palenik Mihály <palenik.mihaly@gmail.com>
Date:   Sun Jan 25 01:03:57 2015 +0100

    fdo#84592 Improve SvTreeListBox class with alternating rows.
    
    It is possible to set alternating rows. Expert Configuration dialog use it.
    This bug was fixed earlier, but after this feature didn't work.
Comment 4 Matthew Francis 2015-03-09 07:56:46 UTC
*** Bug 89689 has been marked as a duplicate of this bug. ***
Comment 5 V Stuart Foote 2015-03-09 14:46:17 UTC
So additional STR from 
bug 89689 -- affecting Tools -> Solver -> Options
bug 89873#c4 -- affecting Tools -> AutoCorrect Options...
Comment 6 Alex Thurgood 2015-03-30 17:29:48 UTC
Just come across this myself
Comment 7 Katarina Behrens (Inactive) 2015-04-01 08:53:48 UTC

*** This bug has been marked as a duplicate of bug 89873 ***
Comment 8 V Stuart Foote 2015-04-01 12:49:23 UTC
for bug 89873 Juergen Funk committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=eb61e1c00365337cde3aff45b5a9f362951abd62

Verfied Fixed

Version: 4.5.0.0.alpha0+ (x64)
Build ID: 2302e9eb8a161abaf5899288b4e1c689f5a1ff07
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-03-31_23:15:41
Locale: en_US
Comment 9 Robinson Tryon (qubit) 2015-12-15 11:03:02 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]